import type { PromptName, RuleField } from "@commitlint/types";
import type { Answers, DistinctQuestion } from "inquirer";
import type { QuestionConfig } from "./Question.js";
import Question from "./Question.js";
import getRuleQuestionConfig from "./services/getRuleQuestionConfig.js";
export declare class HeaderQuestion extends Question {
    headerMaxLength: number;
    headerMinLength: number;
    constructor(name: PromptName, questionConfig: QuestionConfig, headerMaxLength?: number, headerMinLength?: number);
    beforeQuestionStart(answers: Answers): void;
}
export declare function combineCommitMessage(answers: Answers): string;
export declare function getQuestionConfig(name: RuleField): ReturnType<typeof getRuleQuestionConfig>;
export declare function getQuestions(): Array<DistinctQuestion>;
//# sourceMappingURL=SectionHeader.d.ts.map