/**
 * Centralized model definitions for LLM providers
 */
export declare const OPENAI_MODELS: {
    GPT35_TURBO: string;
    GPT4: string;
    GPT4_TURBO: string;
    GPT45_PREVIEW: string;
    GPT4O: string;
    GPT4O_MINI: string;
    O1: string;
    O1_MINI: string;
    O3_MINI: string;
};
export declare const ANTHROPIC_MODELS: {
    CLAUDE_3_HAIKU: string;
    CLAUDE_3_OPUS: string;
    CLAUDE_3_SONNET: string;
    CLAUDE_35_HAIKU: string;
    CLAUDE_35_SONNET: string;
    CLAUDE_35_SONNET_V2: string;
    CLAUDE_37_SONNET: string;
};
export declare const OPENAI_MODEL_CHOICES: Array<{
    name: string;
    value: string;
}>;
export declare const ANTHROPIC_MODEL_CHOICES: Array<{
    name: string;
    value: string;
}>;
export declare function getAnthropicModels(): Array<string>;
export declare function getOpenAIModels(): Array<string>;
//# sourceMappingURL=models.d.ts.map